#bwq2chest
from eventAPI import *
from APIUtils import *

bwq2chest = 0

def fireEvent(e):
   global bwq2chest
   bwq2chest = getTag(e, "bwq2chest")
   if (bwq2chest == 1):
      return 1
   else:
      showMessage(e, ["Inside this room you find a large silver chest."])
   showMessage(e, ["The chest is unlocked. You open it and find a beautifully crafted bow, and a slew of arrows."])
   giveItems(e, ["Composite Bow", "Arrows (20)", "Poison Arrows (20)", "Obsidian Arrows (20)", "Elf Arrows (20)", "Starkind Arrows (20)"])
   bwq2chest = 1
   setTag(e, "bwq2chest", bwq2chest)
   return 1
